Page MenuHomePhabricator

edje_legacy: Remove EINA_UNUSED when obj is actually used
ClosedPublic

Authored by ProhtMeyhet on Mar 6 2020, 1:21 PM.

Details

Summary

This removes EINA_UNUSED when obj is actually used
like in a call ed = _edje_fetch(obj);
Please note the macro GET_REAL_PART_ON_FAIL_RETURN
also uses obj.

No functional changes, just cleanup.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ProhtMeyhet requested review of this revision.Mar 6 2020, 1:21 PM
ProhtMeyhet created this revision.

The parameter for git diff that shows you more lines to see if obj is used is -U

So git diff -U10 edje_legacy.c

devilhorns accepted this revision.Mar 6 2020, 1:25 PM

Looked through the code, and you are correct :) .. Patch approved however I cannot push it because I don't have arc installed on this box. @bu5hm4n - Can you push this please when you have a chance ? Thanks :)

This revision is now accepted and ready to land.Mar 6 2020, 1:25 PM

I think there are alot of similar cases in the source code

ProhtMeyhet added a comment.EditedMar 7 2020, 1:31 AM

I think there are alot of similar cases in the source code

ah, yes on the *part. I'll look into it and make another separate revision on it.

stefan_schmidt accepted this revision.Apr 3 2020, 1:22 AM
stefan_schmidt added a subscriber: stefan_schmidt.

This looks like a good start.

Please follow up with fixes for other location in the code base if you can.

This revision was automatically updated to reflect the committed changes.